Page MenuHomePhabricator

Labs instance huggle.huggle.wmflabs needs to be replaced or deleted
Closed, ResolvedPublic

Description

The labs instance huggle.huggle.wmflabs is running Ubuntu Precise, which will no longer be supported in Labs as of 3/31. It should be deleted (if no longer useful) or replaced with a Trusty or Jessie image.

Please don't hesitate to contact Labs Ops for assistance with this process!

Event Timeline

Andrew created this task.Feb 9 2017, 6:10 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 9 2017, 6:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore reassigned this task from Addshore to Petrb.Feb 9 2017, 6:30 PM
Addshore removed a project: User-Addshore.

@Petrb friendly ping :)

Can I get an update on this? Is the instance necessary and, if so, is someone on the case?

Andrew added a subscriber: Se4598.Feb 24 2017, 4:21 PM

@Petrb and @Addshore are the managers of this instance. It is necessary for WM-Bot. I will attempt to reach out to Petr and get it converted, though I make no promises.

Thanks y'all

Andrew added a comment.Mar 6 2017, 7:55 PM

If no one lays claim this week I'll probably shut this instance off next Monday, just to see if anyone notices and/or cares.

Petrb added a comment.Mar 6 2017, 9:30 PM

Don't instances in huggle project host some essential services

@Petrb I can't tell what you're saying due to lack of punctuation... maybe "Don't! Instances in huggle project host some essential services!" or maybe "Don't instances in huggle project host some essential services?"

In either case... I don't doubt that the instance may be important, but it it WILL be deleted on April 1st. I'm just beating the bushes as best I can in the meantime -- certainly it will be build a new one while the current instance still exists.

To clarify a bit: we are also worried about the use cases of huggle but we are not prepared to take it over as a managed service either. We are hopeful someone who is an admin in the project will see this and take appropriate action.

Petrb added a comment.Mar 7 2017, 10:26 PM

Yes I will try to upgrade it when I have time

@Andrew I tried to reach you on IRC with no luck, can you get to huggle instance? I ran dist-upgrade there and the SSH session timed out and now I can't log back in because LDAP client isn't working there. The upgrade process is running in screen under root user, if you can login there and finish the process it would be great and saved me the time needed to rebuild whole server.

@Petrb, I completed the in-place upgrade on Huggle and it looks ok to me...

andrew@huggle:~$ uname -a
Linux huggle 3.13.0-112-generic #159-Ubuntu SMP Fri Mar 3 15:26:07 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
andrew@huggle:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.5 LTS
Release: 14.04
Codename: trusty

Can you log in, and are things working properly there?

Amazing job Andrew, it seems that it works just fine, XmlRcs was restarted and it works.

Now the question is what we do about postgre database instance, unlike XmlRcs I don't want outage that takes couple of hours, there is no fallback or alternative that can be used. Can we schedule some time window during which you would be available on IRC? I would make a full backup of postgres and attempt a dist-upgrade, just in case my ssh session dies, so you that could fix it. Best would be sometime around 11AM - 1AM CET any day. Can you propose some time when you would be online available for assistance?

That is 6AM - 8PM EDT

@Petrb, I'm online now (which is, I believe, 10AM EDT) and will be for six hours at least. I should be available tomorrow during at least the same window.

Harej removed a subscriber: Harej.Mar 16 2017, 5:50 PM
Petrb closed this task as Resolved.Mar 20 2017, 2:34 PM

soo, it seems we are done :)